/**
 * web端文件预览功能
 */
import React, { Component } from 'react';
import { Modal,Icon,Tooltip } from 'antd';
// import FileViewer from 'react-file-viewer';
export default class index extends Component {
    constructor(props){
        super(props)
        this.state = {
            visible: false
        }
    }
    showModal = () => {
        this.setState({
            visible: true,
        });
      };
    
    handleOk = e => {
        this.setState({
            visible: false,
        });
    };
    
    handleCancel = e => {
        this.setState({
            visible: false,
        });
    };
    render() {
        let {
            path,
            pathName
        } = this.props
        const {
            visible,
        } = this.state
        let isShow = pathName?.indexOf('.pdf') !== -1
                    // || pathName?.indexOf('.doc') !== -1
                    || pathName?.indexOf('.xls') !== -1
                    || pathName?.indexOf('.mp3') !== -1
                    || pathName?.indexOf('.mp4') !== -1
                    || pathName?.indexOf('.csv') !== -1
        let type;
        if(pathName?.indexOf('.pdf') !== -1){
            isShow = true
            type = 'pdf'
        } else if(pathName?.indexOf('.xlsx') !== -1){
            isShow = true
            type = 'xlsx'
        }   else if(pathName?.indexOf('.mp3') !== -1){
            isShow = true
            type = 'mp3'
        }   else if(pathName?.indexOf('.mp4') !== -1){
            isShow = true
            type = 'mp4'
        }   else if(pathName?.indexOf('.csv') !== -1){
            isShow = true
            type = 'csv'
        } else {
            isShow = false
        }
        return (
            <span>
                <a 
                    target="_blank" 
                    href={path}>
                        {pathName}
                    </a>
                {
                    isShow?
                        <Tooltip
                            title={`预览${pathName}`}
                            >
                            <Icon 
                                onClick={this.showModal}
                                style={{marginLeft:'12px'}}
                                type="security-scan" />
                        </Tooltip>
                        :null
                }
                
                <Modal
                    title={pathName}
                    visible={visible}
                    width={1200}
                    onOk={this.handleOk}
                    onCancel={this.handleCancel}
                >
                    {
                        type === 'pdf'||type==='ppt'?
                            <iframe
                                style={{
                                    width:'100%',
                                    height:600
                                }}
                                src={path}
                                />
                            :<div
                                style={{
                                    height:600,
                                }}
                                >
                                {/* <FileViewer 
                                    fileType={type}
                                    filePath={path}
                                    // onError={this.onError}
                                    // errorComponent={Error}
                                    // unsupportedComponent={Error}
                                /> */}
                            </div>
                    }
                
                </Modal>
            </span>
        )
    }
}
